{% extends 'base.html.twig' %}

{% block body %}
<div {{ stimulus_controller('pixels') }}
        data-pixels-bits-value="{{ data|json_encode }}"
        data-pixels-cols-value="{{ cols|length }}"
        data-pixels-rows-value="{{ rows|length }}">
    {% for row in rows %}
        <div class="row">
            {% for col in cols %}
                <div class="pixel" data-pixels-target="pixel"></div>
            {% endfor %}
        </div>
    {% endfor %}
</div>
{% endblock %}
